Subject: bug#5175: 23.1.50; mark deactivated without running deactivate-mark-hook when replying with Gnus

From: Katsumi Yamaoka <[email-masked]>
Date: Sat, 02 Jan 2010 10:38:12 +0900

>>>>> In <[email-masked]>
>>>>>	Tassilo Horn <[email-masked]> wrote:
> I use this code, to have a 'bar cursor type when the mark is active.

> (defun th-activate-mark-init ()
>   (setq cursor-type 'bar))
> (add-hook 'activate-mark-hook 'th-activate-mark-init)

> (defun th-deactivate-mark-init ()
>   (setq cursor-type 'box))
> (add-hook 'deactivate-mark-hook 'th-deactivate-mark-init)

> This works very good, except when replying to a mail with Gnus using `R'
> in summary.  `R' first yanks the quoted contents of the email I want to
> reply to into the message buffer.  After that, I have a 'bar cursor but
> no active region.

> So it seems that it's somehow possible to deactivate the mark without
> running deactivate-mark-hook, and I think that shouldn't be so.

>>>>> In Bzr-99227  Chong Yidong wrote:
> 2010-01-01  Chong Yidong  <[email-masked]>

> 	* message.el (message-exchange-point-and-mark): Call
> 	exchange-point-and-mark with an argument rather than setting
> 	mark-active by hand (Bug#5175).

This incompatible change makes Gnus not work with old Emacsen, so
I don't merge it to the Gnus trunk, i.e., No Gnus.  Any idea not
to use the argument of `exchange-point-and-mark'?